net.corda.node.services.config

## Class OptionalConfig<T>

- net.corda.node.services.config.OptionalConfig<T>

-     public class OptionalConfig<T>

  Helper class for optional configurations

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionalConfig(com.typesafe.config.Config conf, kotlin.jvm.functions.Function0<? extends T> lambda)` Helper class for optional configurations

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.typesafe.config.Config` | `getConf()`
    `kotlin.jvm.functions.Function0<T>` | `getLambda()`
    `T` | `getValue(java.lang.Object receiver, kotlin.reflect.KProperty<?> metadata)`

- - ### Constructor Detail

    - #### OptionalConfig

          public OptionalConfig(com.typesafe.config.Config conf,
                                kotlin.jvm.functions.Function0<? extends T> lambda)

      Helper class for optional configurations

  - ### Method Detail

    - #### getValue

          public T getValue(java.lang.Object receiver,
                            kotlin.reflect.KProperty<?> metadata)

    - #### getConf

          public com.typesafe.config.Config getConf()

    - #### getLambda

          public kotlin.jvm.functions.Function0<T> getLambda()